
Redmine - Defect #5861

Vertical scrollbar always visible in Wiki "code" blocks in Chrome.

2010-07-09 17:17 - Douglas Cox

Status: Closed Start date: 2010-07-09

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 1.0.1   

Resolution: Fixed Affected version: 0.9.4

Description

In Google Chrome (works fine in IE), there are always vertical scrollbars visible on each pre/code box.  They should not be visible.

View this bug in Chrome to see the problem:

void Foo( int i )

{

    // ....

    // ....

    // ....

}

Associated revisions

Revision 3891 - 2010-07-25 14:56 - Jean-Philippe Lang

Fixed: Vertical scrollbar always visible in Wiki "code" blocks in Chrome (#5861).

History

#1 - 2010-07-09 17:59 - Felix Schäfer

- Category changed from Wiki to UI

What versions of chrome and redmine, which theme?

#2 - 2010-07-09 19:31 - Douglas Cox

Felix Schäfer wrote:

What versions of chrome and redmine, which theme?

 Sorry, I am using Chrome 5.0.375.70 (the latest build I believe).  And it was doing this from the Trunk build and the build on this website.

#3 - 2010-07-09 19:50 - Felix Schäfer

Well, on Safari Mac it does it too, and the culprit is the overflow-x: auto in the div.wiki pre definition, but I'm no css expert by any stretch, and simply

removing makes the text overflow out of the box.

#4 - 2010-07-09 20:14 - Douglas Cox

Ok, thanks for looking at it. I'll play around with it some this weekend, and see if I can come up with anything that can get rid of it correctly.

What's odd is that the more lines of text inside the block, the more scroll you have available.  It's almost like the scroll size calculation isn't taking into

account the spacing between lines or something.  But since it's happening on two browsers I would think there is a way to make it work with the right

css.

#5 - 2010-07-09 21:38 - Felix Schäfer

Douglas Cox wrote:

But since it's happening on two browsers I would think there is a way to make it work with the right css.

 Well, it's 2 webkit based browsers, so not too different from a rendering engine point of view.

2025-08-23 1/2



#6 - 2010-07-10 06:42 - Douglas Cox

I was able to get it to display properly in Firefox, IE8, and Chrome by adding:

    overflow-y: hidden;

 to the div.wiki.pre stylesheet entry.

#7 - 2010-07-25 14:56 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 1.0.1

- Resolution set to Fixed

Fix applied in r3891. Thanks.
